# Uses of Class
org.biojava.utils.bytecode.Label

## Uses of Label in org.biojava.utils.bytecode

Methods in org.biojava.utils.bytecode that return Label
Modifier and Type
Method
Description
`Label`
InstructionVector.`getEndLabel()`
`Label`
InstructionVector.`getStartLabel()`
Methods in org.biojava.utils.bytecode with parameters of type Label
Modifier and Type
Method
Description
`void`
CodeContext.`addExceptionTableEntry(Label startHandled, Label endHandled, CodeClass eClass, Label handler)`
Add an exception table entry.
`static Instruction`
ByteCode.`make_goto(Label l)`
`static Instruction`
ByteCode.`make_if(byte op, Label lab)`
Make an if Instruction for the opcode and label.
`static Instruction`
ByteCode.`make_if_acmpeq(Label l)`
Return the Instruction object for the if_acmpeq instruction.
`static Instruction`
ByteCode.`make_if_acmpne(Label l)`
Return the Instruction object for the if_acmpne instruction.
`static Instruction`
ByteCode.`make_if_icmpeq(Label l)`
Return the Instruction object for the if_icmpeq instruction.
`static Instruction`
ByteCode.`make_if_icmpge(Label l)`
Return the Instruction object for the if_icmpge instruction.
`static Instruction`
ByteCode.`make_if_icmpgt(Label l)`
Return the Instruction object for the if_icmpgt instruction.
`static Instruction`
ByteCode.`make_if_icmple(Label l)`
Return the Instruction object for the if_icmple instruction.
`static Instruction`
ByteCode.`make_if_icmplt(Label l)`
Return the Instruction object for the if_icmplt instruction.
`static Instruction`
ByteCode.`make_if_icmpne(Label l)`
Return the Instruction object for the if_icmpne instruction.
`static Instruction`
ByteCode.`make_ifeq(Label lab)`
Return the Instruction object for the ifeq instruction.
`static Instruction`
ByteCode.`make_ifge(Label lab)`
Return the Instruction object for the ifge instruction.
`static Instruction`
ByteCode.`make_ifgt(Label lab)`
Return the Instruction object for the ifgt instruction.
`static Instruction`
ByteCode.`make_ifle(Label lab)`
Return the Instruction object for the ifle instruction.
`static Instruction`
ByteCode.`make_iflt(Label lab)`
Return the Instruction object for the iflt instruction.
`static Instruction`
ByteCode.`make_ifne(Label lab)`
Return the Instruction object for the ifne instruction.
`static Instruction`
ByteCode.`make_ifnonnull(Label l)`
Return the Instruction object for the ifnonnull instruction.
`static Instruction`
ByteCode.`make_ifnull(Label l)`
Return the Instruction object for the ifnull instruction.
`static Instruction`
ByteCode.`make_jsr(Label l)`
`static CodeGenerator`
ByteCode.`make_markLabel(Label lab)`
`void`
CodeContext.`markLabel(Label lab)`
Mark a label at the current point in the stream.
`void`
CodeContext.`writeLabel(Label lab)`
Write the offset of a Label to the context.
Constructors in org.biojava.utils.bytecode with parameters of type Label
Modifier
Constructor
Description
``
`MarkLabel(Label label)`